html,
body {
    background-color: #36c5f4;
}

body {
    background-image: url("images/pond/pond.gif"), url("images/pond/sidepond.png");
    background-repeat: no-repeat, repeat-x;
    background-size: 1200px, 1200px;
    background-position: bottom, bottom;
    min-width: 1000px;

    --pondY: calc(100vh - 400px);
    --pondX: calc(max(100vw, 1000px) / 2 - 500px);
    --pondXEnd: calc(max(100vw, 1000px) / 2 + 350px);
    overflow: hidden;
}

body:has(#rain:checked) {
    filter: hue-rotate(15deg) saturate(0.8);
}

body:has(#rain:checked):has(#night:checked) {
    filter: hue-rotate(7deg) saturate(0.9);
}

.anti-hue-shift {
    z-index: 500;
}

body:has(#rain:checked)>.anti-hue-shift {
    filter: hue-rotate(-15deg) saturate(1.25);
}

body:has(#rain:checked):has(#night:checked)>.anti-hue-shift {
    filter: hue-rotate(-7deg) saturate(1.1111111111);
}


.settings {
    --size: 43px;
    position: absolute;
    bottom: -50px;
    right: 10px;
    z-index: 10;
    background-image: url("images/pond/settings.png");
    background-size: calc(var(--size) / (192/1200));
    width: calc(var(--size) / (192/1200));
    height: calc(var(--size) / (192/1200));
    transition: 0.1s;
}

.settings>input {
    display: none;
}

.settings>label {
    cursor: pointer;
    width: calc(6px / (192/1200));
    height: calc(6px / (192/1200));
    background-size: calc(6px / (192/1200));
    display: inline-block;
    border: solid calc(1px / (192/1200)) #4d3533;
    background-color: #ce9248;
    position: absolute;
    left: calc(14px / (192/1200));
    top: calc(12px / (192/1200))
}

.settings:has(#dropdown:checked) {
    bottom: calc(0px - var(--size) / (192/1200));
}

#dropdown-label {
    right: 0;
    left: unset;
    top: calc(-5px / (192/1200));
    width: calc(7px / (192/1200));
    height: calc(4px / (192/1200));
    background-size: calc(7px / (192/1200));
    background-image: url("images/pond/dropdown.png")
}

#night-label {
    top: calc(22px / (192/1200))
}

.settings:has(#rain:checked)>#rain-label {
    background-image: url("images/pond/checkbox_clicked.png")
}

.settings:has(#night:checked)>#night-label {
    background-image: url("images/pond/checkbox_clicked.png")
}

html:has(#night:checked),
body:has(#night:checked) {
    background-color: black;
}

body:has(#night:checked)>celestial-body {
    background-image: url("images/pond/moon.png");
}

body:has(#night:checked)>.mainweather {
    background-image: url("images/pond/night-sky.png");
}

body:has(#night:checked):not(:has(#rain:checked))>.mainweather {
    z-index: 0;
}

body:has(#rain:checked):not(:has(#night:checked))>celestial-body {
    background-image: unset !important;
}

body:has(#rain:checked)>overlay {
    background-color: rgba(8, 8, 70, 0.52);
}

body:has(#rain:checked):has(#night:checked)>overlay {
    background-color: rgba(0, 0, 103, 0.36);
}

body:has(#rain:checked)>.mainweather {
    background-image: url("images/pond/rainclouds.png");
}

body:has(#rain:checked)>.over {
    background-image: url("images/pond/rain.gif");
}

body:has(#night:checked) {
    background-image: url("images/pond/pond-night.gif"), url("images/pond/sidepond-night.png");
}

.weather {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    pointer-events: none;
    z-index: 3;
    background-image: url("images/pond/clouds.gif");
    background-repeat: repeat-x;
    background-size: 2400px;
    background-position: top;
}

.over {
    z-index: 0 !important;
    background-image: unset;
    background-size: 400px !important;
    background-repeat: repeat;
    opacity: 0.7;
    background-position: bottom;
}

overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    pointer-events: none;
    z-index: 5;
    background-color: rgba(0, 0, 0, 0);
}

a:has(.sign) {
    position: absolute;
    top: -140px;
    left: 0;
}

#time-counter {
    display: none;
    position: absolute;
    bottom: 0;
    left: 2px;
    height: 2em;
}

#time-counter>span {
    transition: 0.1s;
    font-size: smaller;
    padding-top: 20px;
    align-self: flex-end;
    padding-right: 30px;
    z-index: 600;
}

#time-counter:hover>span {
    font-size: larger;
    padding-left: 30px;
    padding-bottom: 20px;
    background-color: rgba(0, 0, 0, 0.2);
}

.sign {
    --size: 58px;
    background-repeat: no-repeat, repeat-x;
    background-color: rgba(0, 0, 0, 0);
    border: none;
    background-image: url("images/pond/sign.png");
    background-size: calc(var(--size) / (192/1200));
    width: calc(var(--size) / (192/1200));
    height: calc(var(--size) / (192/1200));
    display: block;
    cursor: pointer;
    transform-origin: top center;
    animation-timing-function: ease;
}

@keyframes hover-sign {

    0%,
    100% {
        rotate: 0deg;
    }

    50% {
        rotate: 10deg;
    }
}

.sign:hover {
    animation: hover-sign 400ms 1;
}

celestial-body {
    display: block;
    background-size: calc(55px / (192/1200));
    width: calc(55px / (192/1200));
    height: calc(55px / (192/1200));
    position: absolute;
    top: min(calc(var(--pondY) - 412px), 136px);
    z-index: 0;
    left: 50%;
    background-image: url("images/pond/sun.png");
    transform: translateX(-50%);
}

creatures>* {
    background-repeat: no-repeat, repeat-x;
    background-size: calc(var(--size) / (192/1200));
    width: calc(var(--size) / (192/1200));
    height: calc(var(--size) / (192/1200));
    display: block;
    position: absolute;
    cursor: pointer;
    transition: 0.1s;
}

creatures>*:hover {
    width: calc(var(--size) / (192/1200) * 1.2);
    height: calc(var(--size) / (192/1200) * 1.2);
    background-size: calc(var(--size) / (192/1200) * 1.2);
    margin-left: -10px;
    margin-top: -10px;
    rotate: 5deg;
}

body:has(#rain:checked)>creatures>*>umbrella {
    background-image: url("images/pond/umbrella.png");
}

umbrella {
    --size: 33px;
    background-repeat: no-repeat, repeat-x;
    background-size: calc(var(--size) / (192/1200));
    width: calc(var(--size) / (192/1200));
    height: calc(var(--size) / (192/1200));
    display: block;
    cursor: pointer;
    margin-top: -100px;
    margin-left: -60px;
    position: absolute;
    z-index: 3;
    pointer-events: none;
}

pink {
    background-image: url("images/pond/pink.png");
    top: calc(var(--pondY) + 120px);
    left: var(--pondX);
}

orange {
    background-image: url("images/pond/orange.png");
    top: calc(var(--pondY) + 60px);
    left: calc(var(--pondX) + 120px);
}

purple {
    background-image: url("images/pond/purple.png");
    top: calc(var(--pondY) - 20px);
    left: 50%;
}

cyan {
    background-image: url("images/pond/cyan.png");
    top: calc(var(--pondY) + 60px);
    left: calc(var(--pondXEnd) + 60px);
}